# Namespace: Filters

## Kinetic. Filters

Source:
  - kinetic-v5.1.10.js, line 97

### Methods

#### <static> Blur(imageData)

  Blur Filter

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Source:
    - kinetic-v5.1.10.js, line 4732

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Blur]);
      node.blurRadius(10);

#### <static> Brighten(imageData)

  Brighten Filter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Source:
    - kinetic-v5.1.10.js, line 4351

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Brighten]);
      node.brightness(0.8);

#### <static> Emboss(imageData)

  Emboss Filter. Pixastic Lib - Emboss filter - v0.1.0 Copyright (c) 2008 Jacob Seidelin, jseidelin@nihilogic.dk, http://blog.nihilogic.dk/ License: [http://www.pixastic.com/lib/license.txt]

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Source:
    - kinetic-v5.1.10.js, line 5244

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Emboss]);
      node.embossStrength(0.8);
      node.embossWhiteLevel(0.3);
      node.embossDirection('right');
      node.embossBlend(true);

#### <static> Enhance(imageData)

  Enhance Filter. Adjusts the colors so that they span the widest possible range (ie 0-255). Performs wh pixel reads and wh pixel writes.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Author:
    - ippo615
  Source:
    - kinetic-v5.1.10.js, line 5432

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Enhance]);
      node.enhance(0.4);

#### <static> Grayscale(imageData)

  Grayscale Filter

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Source:
    - kinetic-v5.1.10.js, line 4324

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Grayscale]);

#### <static> HSL(imageData)

  HSL Filter. Adjusts the hue, saturation and luminance (or lightness)

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Author:
    - ippo615
  Source:
    - kinetic-v5.1.10.js, line 5178

  ##### Example

      image.filters([Kinetic.Filters.HSL]);
      image.luminance(200);

#### <static> HSV(imageData)

  HSV Filter. Adjusts the hue, saturation and value

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Author:
    - ippo615
  Source:
    - kinetic-v5.1.10.js, line 5043

  ##### Example

      image.filters([Kinetic.Filters.HSV]);
      image.value(200);

#### <static> Invert(imageData)

  Invert Filter

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Source:
    - kinetic-v5.1.10.js, line 4389

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Invert]);

#### <static> Kaleidoscope()

  /* Kaleidoscope Filter.

  Author:
    - ippo615
  Source:
    - kinetic-v5.1.10.js, line 5977

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Kaleidoscope]);
      node.kaleidoscopePower(3);
      node.kaleidoscopeAngle(45);

#### <static> Mask(imageData)

  Mask Filter

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Source:
    - kinetic-v5.1.10.js, line 4922

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Mask]);
      node.threshold(0.1);

#### <static> Noise(imageData)

  Noise Filter. Randomly adds or substracts to the color channels

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Author:
    - ippo615
  Source:
    - kinetic-v5.1.10.js, line 5566

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Noise]);
      node.noise(0.8);

#### <static> Pixelate(imageData)

  Pixelate Filter. Averages groups of pixels and redraws them as larger pixels

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Author:
    - ippo615
  Source:
    - kinetic-v5.1.10.js, line 5605

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Pixelate]);
      node.pixelSize(10);

#### <static> Posterize(imageData)

  Posterize Filter. Adjusts the channels so that there are no more than n different values for that channel. This is also applied to the alpha channel.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Author:
    - ippo615
  Source:
    - kinetic-v5.1.10.js, line 5526

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Posterize]);
      node.levels(0.8);

#### <static> RGB(imageData)

  RGB Filter

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Author:
    - ippo615
  Source:
    - kinetic-v5.1.10.js, line 4959

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.RGB]);
      node.blue(120);
      node.green(200);

#### <static> Sepia(imageData)

  Sepia Filter Based on: Pixastic Lib - Sepia filter - v0.1.0 Copyright (c) 2008 Jacob Seidelin, jseidelin@nihilogic.dk, http://blog.nihilogic.dk/

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Author:
    - Jacob Seidelin
  License:
    - MPL v1.1 [http://www.pixastic.com/lib/license.txt]
  Source:
    - kinetic-v5.1.10.js, line 5734

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Sepia]);

#### <static> Solarize(imageData)

  Solarize Filter Pixastic Lib - Solarize filter - v0.1.0 Copyright (c) 2008 Jacob Seidelin, jseidelin@nihilogic.dk, http://blog.nihilogic.dk/ License: [http://www.pixastic.com/lib/license.txt]

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Source:
    - kinetic-v5.1.10.js, line 5778

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Solarize]);

#### <static> Threshold(imageData)

  Threshold Filter. Pushes any value above the mid point to the max and any value below the mid point to the min. This affects the alpha channel.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `imageData` | Object |

  Author:
    - ippo615
  Source:
    - kinetic-v5.1.10.js, line 5697

  ##### Example

      node.cache();
      node.filters([Kinetic.Filters.Threshold]);
      node.threshold(0.1);